Distribution:		CCux
Packager:		Christian Metzen <metzench@ccux-linux.de>

Name: 			yajl
Version: 		1.0.7
Release: 		1
BuildArch:		i686
Summary: 		Yet Another JSON Library (YAJL)

Group: 			Development/Libraries
License: 		BSD
URL: 			http://lloyd.github.com/yajl/

%global githash 45a1bdb
Source0: 		lloyd-%{name}-%{githash}.tar.gz
Patch2: 		lloyd-%{name}-cflags.patch

BuildRequires: cmake

%package devel
Summary: 		Libraries, includes, etc to develop with YAJL
Requires: 		%{name} = %{version}-%{release}

%description
Yet Another JSON Library. YAJL is a small event-driven
(SAX-style) JSON parser written in ANSI C, and a small
validating JSON generator.

%description devel
Yet Another JSON Library. YAJL is a small event-driven
(SAX-style) JSON parser written in ANSI C, and a small
validating JSON generator.

This sub-package provides the libraries and includes
necessary for developing against the YAJL library

%prep
%setup -q -n lloyd-%{name}-%{githash}
# Fix ignoring of CFLAGS
%patch2 -p1

%build
# NB, we are not using upstream's 'configure'/'make'
# wrapper, instead we use cmake directly to better
# align with Fedora standards
mkdir build
cd build
%cmake ..
make VERBOSE=1 %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
cd build
make install DESTDIR=$RPM_BUILD_ROOT

# No static libraries
rm -f $RPM_BUILD_ROOT%{_libdir}/libyajl_s.a


%check
cd test
./run_tests.sh

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README TODO
%{_bindir}/json_reformat
%{_bindir}/json_verify
%{_libdir}/libyajl.so.1
%{_libdir}/libyajl.so.1.0.7

%files devel
%defattr(-,root,root,-)
%doc COPYING
%dir %{_includedir}/yajl
%{_includedir}/yajl/yajl_common.h
%{_includedir}/yajl/yajl_gen.h
%{_includedir}/yajl/yajl_parse.h
%{_libdir}/libyajl.so


%changelog
* Sat Jan 23 2010 Christian Metzen <metzench@ccux-linux.de> 1.0.7-1
- Initial CCux package release
